Package org.drinkless.tdlib

# Class TdApi.CallServer

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CallServer

Enclosing class:
  `TdApi`

public static class TdApi.CallServer extends TdApi.Object
Describes a server for relaying call data.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `id`
  Server identifier.
  `String`
  `ipAddress`
  Server IPv4 address.
  `String`
  `ipv6Address`
  Server IPv6 address.
  `int`
  `port`
  Server port number.
  `TdApi.CallServerType`
  `type`
  Server type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallServer()`
  Describes a server for relaying call data.
  `CallServer(long id, String ipAddress, String ipv6Address, int port, TdApi.CallServerType type)`
  Describes a server for relaying call data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Server identifier.

  - ### ipAddress

    public String ipAddress
    Server IPv4 address.

  - ### ipv6Address

    public String ipv6Address
    Server IPv6 address.

  - ### port

    public int port
    Server port number.

  - ### type

    public TdApi.CallServerType type
    Server type.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CallServer

    public CallServer()
    Describes a server for relaying call data.

  - ### CallServer

    public CallServer(long id, String ipAddress, String ipv6Address, int port, TdApi.CallServerType type)
    Describes a server for relaying call data.
    Parameters:
      `id` - Server identifier.
      `ipAddress` - Server IPv4 address.
      `ipv6Address` - Server IPv6 address.
      `port` - Server port number.
      `type` - Server type.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR